# $Revision: 1.32 $, $Date: 2009/05/29 10:26:53 $
# TODO: Decide what to do with -static
#       Obsolete it, fix build ?
# TODO: Conditional builds + packages for:
# Berkeley-DB        : yes
# mod_glusterfs      : yes (2.2)
%bcond_without	ibverbs		# ib-verbs transport
#
Summary:	Clustered File Storage that can scale to peta bytes
Summary(pl.UTF-8):	Klastrowy system przechowywania plików skalujący się do petabajtów
Name:		glusterfs
Version:	2.0.1
#%%define          _rc        {rc2}
%define          _version        %{version}
Release:	0.1
License:	GPL v3+
Group:		Applications/System
Source0:	http://ftp.gluster.com/pub/gluster/glusterfs/2.0/LATEST/glusterfs-%{version}.tar.gz
# Source0-md5:	712b6325abbd9f89ac927727a4bad658
Source1:	glusterfsd.init
URL:		http://www.gluster.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libfuse-devel >= 2.6
BuildRequires:	libtool
%{?with_ibverbs:BuildRequires:	libibverbs-devel >= 1.0.4}
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GlusterFS is a clustered file-system capable of scaling to several
peta-bytes. It aggregates various storage bricks over Infiniband RDMA
or TCP/IP interconnect into one large parallel network file system.
GlusterFS is one of the most sophisticated file system in terms of
features and extensibility. It borrows a powerful concept called
Translators from GNU Hurd kernel. Much of the code in GlusterFS is in
userspace and easily manageable.

%description -l pl.UTF-8
GlusterFS to klastrowy system plików skalujący się do petabajtów.
Scala różne kawałki miejsca po łączach Infiniband RDMA lub TCP/IP
w jeden duży, równoległy sieciowy system plików. GlusterFS to
jeden z najbardziej wyszukanych systemów plików jeśli chodzi o
możliwości i rozszerzalność. Zapożycza potężną ideę o nazwie
Translators z jądra GNU Hurd. Duża część kodu GlusterFS działa w
przestrzeni użytkownika i jest łatwo zarządzalna.

%package common
Summary:	GlusterFS Library and Translators
Summary(pl.UTF-8):	Biblioteka i translatory GlusterFS-a
Group:		Libraries

%description common
GlusterFS is a clustered file-system capable of scaling to several
peta-bytes. It aggregates various storage bricks over Infiniband RDMA
or TCP/IP interconnect into one large parallel network file system.
GlusterFS is one of the most sophisticated file system in terms of
features and extensibility. It borrows a powerful concept called
Translators from GNU Hurd kernel. Much of the code in GlusterFS is in
userspace and easily manageable.

This package includes libglusterfs and glusterfs translator modules
common to both GlusterFS server and client framework.

%description common -l pl.UTF-8
GlusterFS to klastrowy system plików skalujący się do petabajtów.
Scala różne kawałki miejsca po łączach Infiniband RDMA lub TCP/IP
w jeden duży, równoległy sieciowy system plików. GlusterFS to
jeden z najbardziej wyszukanych systemów plików jeśli chodzi o
możliwości i rozszerzalność. Zapożycza potężną ideę o nazwie
Translators z jądra GNU Hurd. Duża część kodu GlusterFS działa w
przestrzeni użytkownika i jest łatwo zarządzalna.

Ten pakiet zawiera libglusterfs i moduły translatorów glusterfs
wspólne dla klienta jak i serwera GlusterFS-a.

%package devel
Summary:	GlusterFS development files
Summary(pl.UTF-8):	Pliki programistyczne GlusterFS-a
Group:		Development/Libraries
Requires:	%{name}-common = %{version}-%{release}

%description devel
This package provides the development files for GlusterFS library.

%description devel -l pl.UTF-8
Ten pakiet udostępnia pliki programistyczne biblioteki GlusterFS-a.

# %package static
# Summary:	Static GlusterFS library
# Summary(pl.UTF-8):	Statyczna biblioteka GlusterFS-a
# Group:		Development/Libraries
# Requires:	%{name}-devel = %{version}-%{release}
#
# %description static
# Static GlusterFS library.
# 
# %description static -l pl.UTF-8
# Statyczna biblioteka GlusterFS-a.

%package transport-ibverbs
Summary:	InfiniBand "verbs" transport plugins for GlusterFS
Summary(pl.UTF-8):	Wtyczki transportu "verbs" InfiniBand dla GlusterFS-a
Group:		Libraries
Requires:	%{name}-common = %{version}-%{release}
Requires:	libibverbs >= 1.0.4

%description transport-ibverbs
InfiniBand "verbs" transport plugins for GlusterFS.

%description transport-ibverbs -l pl.UTF-8
Wtyczki transportu "verbs" InfiniBand dla GlusterFS-a.

%package server
Summary:	GlusterFS Server
Summary(pl.UTF-8):	Serwer GlusterFS-a
Group:		Daemons
Requires:	%{name}-client = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description server
This package provides the glusterfs server daemon.

%description server -l pl.UTF-8
Ten pakiet zawiera część serwerową GlusterFS-a.

%package client
Summary:	GlusterFS Client
Summary(pl.UTF-8):	Klient GlusterFS
Group:		Applications/System
Requires:	%{name}-common = %{version}-%{release}
Requires:	libfuse >= 2.6

%description client
This package provides the FUSE based GlusterFS client.

%description client -l pl.UTF-8
Ten pakiet udostępnia opartego na FUSE klienta GlusterFS-a.

%prep
%setup -q -n %{name}-%{_version}
%{__sed} -i -e 's|-avoidversion|-avoid-version|g'  */*/*/Makefile.am  */*/*/*/Makefile.am

cp -l doc/examples/README README.examples

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-bdb \
	--disable-mod_glusterfs \
	%{!?with_ibverbs:--disable-ibverbs}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/glusterfsd

rm -r $RPM_BUILD_ROOT%{_docdir}/glusterfs/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post	common	-p /sbin/ldconfig
%postun	common	-p /sbin/ldconfig

%files common
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README README.examples doc/*.vol.sample doc/examples/*.vol
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %{_libdir}/libglusterfs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglusterfs.so.0
%attr(755,root,root) %{_libdir}/libglusterfsclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglusterfsclient.so.0

%dir %{_libdir}/glusterfs
# %attr(755,root,root) %{_libdir}/glusterfs/glusterfs-booster.so
%dir %{_libdir}/glusterfs/%{_version}
%dir %{_libdir}/glusterfs/%{_version}/auth
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/auth/addr.so
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/auth/login.so

%dir %{_libdir}/glusterfs/%{_version}/scheduler

%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/scheduler/alu.so
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/scheduler/nufa.so
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/scheduler/random.so
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/scheduler/rr.so
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/scheduler/switch.so

%dir %{_libdir}/glusterfs/%{_version}/transport
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/transport/ib-verbs.so
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/transport/socket.so

%dir %{_libdir}/glusterfs/%{_version}/xlator
%dir %{_libdir}/glusterfs/%{_version}/xlator/cluster
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/xlator/cluster/*.so

%dir %{_libdir}/glusterfs/%{_version}/xlator/debug
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/xlator/debug/*.so
%dir %{_libdir}/glusterfs/%{_version}/xlator/encryption
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/xlator/encryption/*.so
%dir %{_libdir}/glusterfs/%{_version}/xlator/features
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/xlator/features/*.so
%dir %{_libdir}/glusterfs/%{_version}/xlator/mount
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/xlator/mount/fuse.so
%dir %{_libdir}/glusterfs/%{_version}/xlator/performance
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/xlator/performance/*.so
%dir %{_libdir}/glusterfs/%{_version}/xlator/protocol
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/xlator/protocol/*.so
%dir %{_libdir}/glusterfs/%{_version}/xlator/storage
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/xlator/storage/*.so

%{_mandir}/man8/*.8*

%dir /var/log/glusterfs

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglusterfs.so
%{_libdir}/libglusterfs.la
%attr(755,root,root) %{_libdir}/libglusterfsclient.so
%{_libdir}/libglusterfsclient.la
%{_includedir}/*.h

# %files static
# %defattr(644,root,root,755)
# %{_libdir}/libglusterfs.a

%if %{with ibverbs}
%files transport-ibverbs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/glusterfs/%{_version}/transport/ib-verbs.so
%endif

%files server
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%attr(754,root,root) /etc/rc.d/init.d/glusterfsd

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/glusterfs
%attr(755,root,root) %{_sbindir}/glusterfsd
%attr(755,root,root) /sbin/mount.glusterfs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glusterfs.spec,v $
Revision 1.32  2009/05/29 10:26:53  matkor
Updated to 2.0.1-0.1

Revision 1.31  2009/03/06 10:00:19  matkor
- Updated to 2.0.0rc2.

Revision 1.30  2009/02/10 12:08:09  matkor
- Release 4. Fixes init script for Ac (wrong tagging).

Revision 1.29  2009/02/03 21:36:40  matkor
- Release rc1.3. Disabled bdb and mod_glusterfs.

Revision 1.28  2009/02/03 21:10:09  matkor
- Release rc1.2. Seems to work.

Revision 1.27  2009/02/03 16:09:13  matkor
Killed not needed ghosts.

Revision 1.26  2009/02/03 15:59:29  matkor
- seding -avoidversion -> -avoid-version, killed no longer needed patches.

Revision 1.25  2009/02/03 14:39:45  matkor
- Version 2.0.0rc1 in progress. Seems be more libtool 2.x compatible than 1.3.x line.

Revision 1.24  2009/02/03 13:03:03  matkor
- First step to 1.3.12.

Revision 1.23  2008/08/14 11:45:49  matkor
- Release 5. Seems to work both on Ac/Th. TODO added for Th.

Revision 1.22  2008/08/14 09:17:37  matkor
- Another approach to libtool issues.

Revision 1.21  2008/08/13 12:18:16  shadzik
- %post and %postun

Revision 1.20  2008/08/13 11:48:55  shadzik
- rel 4 (updated patch0)

Revision 1.19  2008/08/10 10:22:48  matkor
- Reverting my last commit. Should go to DEVEL branch.

Revision 1.17  2008/08/07 22:29:50  matkor

- Release 3.
  arekm kills my lameness in one of patches.
  Added TODO what to do with missing -static package

Revision 1.16  2008/08/07 16:28:18  matkor
- Release 2. Builds now.

Revision 1.15  2008/07/19 11:42:39  matkor
- Version 1.3.10-1.

Revision 1.14  2008-05-17 21:33:40  matkor
- Release 2. Fixed daemon init script by adding --spec-file /etc/glusterfs/glusterfs-server.vol as required in 1.3.9.

Revision 1.13  2008-05-17 17:06:27  matkor
- Version 1.3.9-1.

Revision 1.12  2008-01-23 21:28:02  qboosh
- removed extra nl

Revision 1.11  2008-01-19 16:05:35  matkor
- Fixed ibverbs bcond.

Revision 1.10  2008-01-19 15:54:12  matkor
- Release 2. Moved /etc/glusterfs to common package. It is used to store *.vol configs also for clients.

Revision 1.9  2008-01-13 01:27:19  qboosh
- added link patch, enabled ibverbs transport (plugins separated to -transport-ibverbs)

Revision 1.8  2008-01-12 22:11:33  qboosh
- package examples
- more versioned BRs, ibverbs bcond
- GPL v3+ now

Revision 1.7  2008-01-12 21:50:53  qboosh
- pl for new packages
- fixed init script
- separated -static

Revision 1.6  2008-01-04 15:40:11  matkor
- Release 1. Added init.d script for launching glusterfsd.

Revision 1.5  2008-01-02 12:10:08  darekr
- missing dir

Revision 1.4  2008-01-02 10:10:26  matkor
- Splitted to subpackages.

Revision 1.3  2008-01-01 23:02:56  matkor
- Version 1.3.7-0.1.

Revision 1.2  2007-04-05 13:49:34  qboosh
- pl
- Group changed to Applications/System

Revision 1.1  2007/04/05 10:14:43  zbyniu
- new
